{% extends "layout.html" %}

{% block title %}Kodama - Register User{% endblock %}

{% block body %}

<form class="form-signin" action="{{ url_for('register_user') }}" method="POST">
    <div class="text-center mb-4">
        <h1 class="h3 mb-3 font-weight-normal">Register User</h1>
    </div>
    <hr>

    {{ form.email.label }}
    {{ form.email(class_="form-control") }}
    {% for error in form.email.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.password.label }}
    {{ form.password(class_="form-control") }}
    {% for error in form.password.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.password2.label }}
    {{ form.password2(class_="form-control") }}
    {% for error in form.password2.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.csrf_token }}

    <p></p>

    <button class="btn btn-lg btn-primary btn-block" type="submit">Submit</button>
</form>

{% endblock %}
